{
  "openapi": "3.0.2",
  "info": {
    "title": "M's PayBridge バイヤープラットフォーム API",
    "description": "M's PayBridge バイヤープラットフォーム用のAPIリファレンスの雛形です。\n必要なエンドポイント、サーバー定義、コンポーネントを追加して利用してください。\n",
    "version": "1.0.0"
  },
  "servers": [
    {
      "url": "https://api.fincode.jp",
      "description": "本番環境"
    },
    {
      "url": "https://api.test.fincode.jp",
      "description": "テスト環境"
    }
  ],
  "tags": [
    {
      "name": "Webhook設定",
      "description": "Webhook設定を管理するAPIです。\\\nM's PayBridge上で指定したイベントが発生した場合、指定したエンドポイントでリアルタイムで通知を受け取れます。\\\n[Webhook通知仕様はこちら](#tag/Webhook_)\\\n\\\n※1 テナントバイヤーのイベントを受けとるためにはバイヤーテナントごとにWebhook設定を登録する必要があります。\n\n| 機能                         | イベント名                  | イベントパラメータ                         |\n|----------------------------|--------------------------|-----------------------------------------|\n| 請求書カード払い                     | 登録                     | business_payments.regist                   |\n| 請求書カード払い                     | 実行                     | business_payments.exec                     |\n| 請求書カード払い                     | 更新                     | business_payments.update                  |\n| テナントバイヤー審査状況                     | 更新                     | buyer.contracts.status_code.updated                  |\n"
    },
    {
      "name": "Webhook_通知仕様",
      "description": "イベントが発生したときに、M's PayBridgeから加盟店様が設定したエンドポイントURLへWebhookのリクエストを送信するときの仕様です。\\\n[イベント一覧はこちら](#tag/Webhook)\\\n※通知対象のパラメータは、機能追加等に伴い追加される可能性があります。\\\n※予告なくパラメータ名の変更、削除が行われることはありません。\\\n\\\nWebhookを利用する場合は、正常受信または受信失敗のレスポンスをWebhookのリクエストに対して返却する必要があります。\\\nWebhookのリクエストがエラーで失敗した場合は、リトライ仕様に従って再送します。\n"
    }
  ],
  "externalDocs": {
    "description": "M's PayBridge バイヤープラットフォーム JSの仕様はこちらの JSリファレンス から確認できます。",
    "url": "/js-buyerplatform"
  },
  "paths": {
    "/v1/business_payments": {
      "get": {
        "security": [
          {
            "Secret-Bearer-Auth": []
          },
          {
            "Secret-Basic-Auth": []
          }
        ],
        "operationId": "retrieveBusinessPaymentList",
        "tags": [
          "請求書カード払い"
        ],
        "summary": "請求書カード払い 一覧取得",
        "description": "リクエスト情報に設定された条件に当てはまる請求書カード払い情報を一覧取得するAPI。\n検索項目は、「取引ID（完全一致）」「取引先名（LIKE検索）」「支払金額（範囲）」「ステータス（列挙値）」「支払期日（範囲）」「振込実行日（範囲）」「更新日時（範囲）」\n",
        "parameters": [
          {
            "in": "header",
            "name": "Tenant-Buyer-Id",
            "required": true,
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/schema"
                }
              ]
            },
            "description": "<span class=\"smallText color--red-400\">※ バイヤープラットフォームのみ指定可</span>\\\nテナントバイヤーID。\\\n指定したテナントバイヤーの請求書カード払い情報一覧を取得します。\n"
          },
          {
            "in": "query",
            "name": "クエリ",
            "description": "検索条件クエリパラメータ\n",
            "required": false,
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/Pagination.QueryParams"
                },
                {
                  "$ref": "#/components/schemas/BusinessPayment.ListRetrieving.QueryParams"
                }
              ]
            }
          }
        ],
        "responses": {
          "200": {
            "description": "リクエストに成功",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BusinessPayment.ListRetrieving.Response"
                }
              }
            }
          },
          "400": {
            "description": "不正なリクエスト",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/FincodeAPIError.Response"
                }
              }
            }
          }
        },
        "x-code-samples": [
          {
            "lang": "curl",
            "label": "cURL",
            "source": "curl \\\n    -X GET \\\n    -H \"Authorization:Bearer <Secret API Key>\" \\\n    -H \"Tenant-Buyer-Id: b_***********\" \\\n'https://api.test.fincode.jp/v1/business_payments'\n"
          },
          {
            "lang": "node",
            "label": "Node.js",
            "source": "import fetch from \"node-fetch\";\n\nconst BASE_URL = \"https://api.test.fincode.jp\";\nconst API_KEY = \"<Secret API Key>\";\n\n(async () => {\n    const endpoint = `${BASE_URL}/v1/business_payments`;\n\n    const response = await fetch(endpoint, {\n        method: \"GET\",\n        headers: {\n            Authorization: `Bearer ${API_KEY}`,\n            \"Tenant-Buyer-Id\": \"b_***********\",\n        },\n    });\n    const businessPayments = await response.json();\n    console.log(businessPayments); // 取得した請求書カード払いデータを出力\n})();\n"
          },
          {
            "lang": "go",
            "label": "Go",
            "source": "package main\n\nimport (\n\t\"fmt\"\n\t\"log\"\n\t\"net/http\"\n)\n\nfunc main() {\n\t// APIキーの指定\n\tapiKey := \"<Secret API Key>\"\n\n\t// リクエストの作成\n\treq, err := http.NewRequest(\n\t\t\"GET\",\n\t\t\"https://api.test.fincode.jp/v1/business_payments\",\n\t\tnil,\n\t)\n\tif err != nil {\n\t\tlog.Fatalf(\"リクエストの作成エラー: %v\", err)\n\t}\n\n\treq.Header.Set(\"Authorization\", \"Bearer \"+apiKey)\n    req.Header.Set(\"Tenant-Buyer-Id\", \"b_***********\")\n\n\t// リクエストの送信\n\tresp, err := http.DefaultClient.Do(req)\n\tif err != nil {\n\t\tlog.Fatalf(\"リクエスト送信エラー: %v\", err)\n\t}\n\tdefer resp.Body.Close()\n\n\tfmt.Println(resp.Status)\n}\n"
          },
          {
            "lang": "php",
            "label": "PHP",
            "source": "<?php\n\n$apiKey = '<Secret API Key>';\n$baseUrl = \"https://api.test.fincode.jp\";\n$endpoint = \"/v1/business_payments\"; // GETリクエストのエンドポイント\n\n$headers = [\n    \"Authorization: Bearer \" . $apiKey,\n    \"Tenant-Buyer-Id: b_***********\"\n];\n\n$session = curl_init();\ncurl_setopt($session, CURLOPT_URL, $baseUrl . $endpoint);\ncurl_setopt($session, CURLOPT_HTTPHEADER, $headers);\ncurl_setopt($session, CURLOPT_HTTPGET, true);\ncurl_setopt($session, CURLOPT_RETURNTRANSFER, true);\n// curl_setopt($session, CURLOPT_SSL_VERIFYPEER, true);\n// curl_setopt($session, CURLOPT_SSL_VERIFYHOST, 2);\n\n$response = curl_exec($session);\n\nif ($response === false) {\n    // エラー処理\n    echo \"cURL Error: \" . curl_error($session);\n} else {\n    // APIからのデータを処理\n    echo $response;\n}\n\ncurl_close($session);\n?>\n"
          },
          {
            "lang": "python",
            "label": "Python 3",
            "source": "import requests\n\napi_key = '<Secret API Key>'\nbase_url = \"https://api.test.fincode.jp\"\nendpoint = \"/v1/business_payments\"  # GETリクエストのエンドポイント\n\n# ヘッダーを設定\nheaders = {\n    'Authorization': f'Bearer {api_key}',\n    'Tenant-Buyer-Id': 'b_***********'\n}\n\ntry:\n    response = requests.get(f\"{base_url}{endpoint}\", headers=headers)\n\n    # レスポンスの処理\n    if response.status_code == 200:\n        # APIからのデータを処理\n        print(f\"Success: {response.json()}\")\n    else:\n        # エラーの処理\n        print(f\"Error: {response.json()}\")\nexcept requests.RequestException as e:\n    # 通信エラーの処理\n    print(f\"Request error: {e}\")\n"
          },
          {
            "lang": "ruby",
            "label": "Ruby",
            "source": "require 'net/http'\nrequire 'uri'\nrequire 'json'\n\nAPI_KEY = '<Secret API Key>'\nBASE_URL = 'https://api.test.fincode.jp'\n\ndef main\n    endpoint = \"/v1/business_payments\"  # GETリクエストのエンドポイント\n\n    uri = URI.parse(BASE_URL + endpoint)\n\n    http = Net::HTTP.new(uri.host, uri.port)\n    http.use_ssl = true\n\n    # リクエストの作成\n    request = Net::HTTP::Get.new(uri.request_uri)\n    request['Authorization'] = \"Bearer #{API_KEY}\"\n    request[\"Tenant-Buyer-Id\"] = \"b_***********\"\n\n    # リクエストの送信\n    response = http.request(request)\n\n    case response\n    when Net::HTTPSuccess\n        puts 'SUCCESS'\n        # レスポンスの表示\n        puts JSON.pretty_generate(JSON.parse(response.body))\n    else\n        puts 'ERROR'\n        # エラーの表示\n        puts response.body\n    end\nend\n\nmain\n"
          }
        ]
      },
      "post": {
        "security": [
          {
            "Secret-Bearer-Auth": []
          },
          {
            "Secret-Basic-Auth": []
          }
        ],
        "operationId": "createBusinessPayment",
        "tags": [
          "請求書カード払い"
        ],
        "summary": "請求書カード払い登録",
        "description": "請求書カード払い情報を登録します。\n",
        "parameters": [
          {
            "in": "header",
            "name": "Tenant-Buyer-Id",
            "required": true,
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/schema"
                }
              ]
            },
            "description": "<span class=\"smallText color--red-400\">※ バイヤープラットフォームのみ指定可</span>\\\nテナントバイヤーID。\\\n指定したテナントバイヤーの請求書カード払い情報を登録します。\n"
          }
        ],
        "requestBody": {
          "required": false,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/BusinessPayment.Creating.Request"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "リクエストに成功",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BusinessPayment.Creating.Response"
                }
              }
            }
          },
          "400": {
            "description": "不正なリクエスト",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/FincodeAPIError.Response"
                }
              }
            }
          }
        },
        "x-code-samples": [
          {
            "lang": "curl",
            "label": "cURL",
            "source": "curl \\\n    -X POST \\\n    -H \"Authorization:Bearer <Secret API Key>\" \\\n    -H \"Content-Type: application/json\" \\\n    -H \"Tenant-Buyer-Id: b_***********\" \\\n    -d '{\n    \"receipt_id\": \"rc_-RcdyjisQl-Uk5D7Q12f0A\"\n}' \\\n'https://api.test.fincode.jp/v1/business_payments'\n"
          },
          {
            "lang": "node",
            "label": "Node.js",
            "source": "const API_KEY = \"<Secret API Key>\";\n\n(async () => {\n    const response = await fetch(\"https://api.test.fincode.jp/v1/business_payments\", {\n        method: \"POST\",\n        headers: {\n            Authorization: `Bearer ${API_KEY}`,\n            \"Content-Type\": \"application/json\",\n            \"Tenant-Buyer-Id\": \"b_***********\",\n        },\n        body: JSON.stringify({\n            \"receipt_id\": \"rc_-RcdyjisQl-Uk5D7Q12f0A\"\n        }),\n    });\n\n    const data = await response.json();\n    console.log(data);\n})();\n"
          },
          {
            "lang": "go",
            "label": "Go",
            "source": "package main\n\nimport (\n    \"bytes\"\n    \"fmt\"\n    \"io\"\n    \"net/http\"\n)\n\nfunc main() {\n    body := []byte(`{\"receipt_id\": \"rc_-RcdyjisQl-Uk5D7Q12f0A\"}`)\n\n    req, err := http.NewRequest(http.MethodPost, \"https://api.test.fincode.jp/v1/business_payments\", bytes.NewBuffer(body))\n    if err != nil {\n        panic(err)\n    }\n\n    req.Header.Set(\"Authorization\", \"Bearer <Secret API Key>\")\n    req.Header.Set(\"Content-Type\", \"application/json\")\n    req.Header.Set(\"Tenant-Buyer-Id\", \"b_***********\")\n\n    resp, err := http.DefaultClient.Do(req)\n    if err != nil {\n        panic(err)\n    }\n    defer resp.Body.Close()\n\n    b, err := io.ReadAll(resp.Body)\n    if err != nil {\n        panic(err)\n    }\n\n    fmt.Println(string(b))\n}\n"
          },
          {
            "lang": "php",
            "label": "PHP",
            "source": "<?php\n\n$payload = json_encode([\n    'receipt_id' => 'rc_-RcdyjisQl-Uk5D7Q12f0A',\n]);\n\n$ch = curl_init('https://api.test.fincode.jp/v1/business_payments');\ncurl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST');\ncurl_setopt($ch, CURLOPT_HTTPHEADER, [\n    'Authorization: Bearer <Secret API Key>',\n    'Content-Type: application/json',\n    \"Tenant-Buyer-Id: b_***********\"\n]);\ncurl_setopt($ch, CURLOPT_POSTFIELDS, $payload);\ncurl_setopt($ch, CURLOPT_RETURNTRANSFER, true);\n\n$response = curl_exec($ch);\ncurl_close($ch);\n\necho $response;\n"
          },
          {
            "lang": "python",
            "label": "Python 3",
            "source": "import requests\n\napi_key = '<Secret API Key>'\n\nurl = 'https://api.test.fincode.jp/v1/business_payments'\nheaders = {\n    'Authorization': f'Bearer {api_key}',\n    'Content-Type': 'application/json'\n    'Tenant-Buyer-Id': 'b_***********'\n}\ndata = {\n    \"receipt_id\": \"rc_-RcdyjisQl-Uk5D7Q12f0A\"\n}\n\nresponse = requests.post(url, headers=headers, json=data)\nprint(response.text)\n"
          },
          {
            "lang": "ruby",
            "label": "Ruby",
            "source": "require \"net/http\"\nrequire \"uri\"\nrequire \"json\"\n\nuri = URI.parse(\"https://api.test.fincode.jp/v1/business_payments\")\nrequest = Net::HTTP::Post.new(uri)\nrequest[\"Authorization\"] = \"Bearer <Secret API Key>\"\nrequest[\"Content-Type\"] = \"application/json\"\nrequest[\"Tenant-Buyer-Id\"] = \"b_***********\"\nrequest.body = {\n  receipt_id: \"rc_-RcdyjisQl-Uk5D7Q12f0A\"\n}.to_json\n\nresponse = Net::HTTP.start(uri.host, uri.port, use_ssl: true) do |http|\n  http.request(request)\nend\n\nputs response.body\n"
          }
        ]
      }
    },
    "/v1/business_payments/{id}": {
      "get": {
        "security": [
          {
            "Secret-Bearer-Auth": []
          },
          {
            "Secret-Basic-Auth": []
          }
        ],
        "operationId": "retrieveBusinessPayment",
        "tags": [
          "請求書カード払い"
        ],
        "summary": "請求書カード払い情報取得",
        "description": "エンドポイントに指定してある取引IDに応じたバイヤ請求書カード払い情報を取得する。\n",
        "parameters": [
          {
            "in": "header",
            "name": "Tenant-Buyer-Id",
            "required": true,
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/schema"
                }
              ]
            },
            "description": "<span class=\"smallText color--red-400\">※ バイヤープラットフォームのみ指定可</span>\\\nテナントバイヤーID。\\\n指定したテナントバイヤーに紐づく請求書カード払い情報を取得します。\n"
          },
          {
            "name": "id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string",
              "minLength": 25,
              "maxLength": 25
            },
            "description": "取引ID"
          }
        ],
        "responses": {
          "200": {
            "description": "リクエストに成功",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BusinessPayment.Detail"
                }
              }
            }
          },
          "400": {
            "description": "不正なリクエスト",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/FincodeAPIError.Response"
                }
              }
            }
          }
        },
        "x-code-samples": [
          {
            "lang": "curl",
            "label": "cURL",
            "source": "curl \\\n    -X GET \\\n    -H \"Authorization:Bearer <Secret API Key>\" \\\n    -H \"Tenant-Buyer-Id: b_***********\" \\\n'https://api.test.fincode.jp/v1/business_payments/{id}'\n"
          },
          {
            "lang": "node",
            "label": "Node.js",
            "source": "import { createFincode } from \"@fincode/node\";\n\nconst API_KEY = \"<Secret API Key>\";\n\n(async () => {\n    const fincode = createFincode({ apiKey: API_KEY, isLiveMode: false });\n\n    const accessId = \"<Access ID>\";\n\n    try {\n        // リクエストの送信\n        const businessPayment = await fincode.businessPayments.retrieve(accessId);\n    } catch (e) {\n        // エラーの処理\n    }\n})();\n"
          },
          {
            "lang": "go",
            "label": "Go",
            "source": "package main\n\nimport (\n    \"fmt\"\n    \"log\"\n    \"net/http\"\n)\n\nfunc main() {\n    apiKey := \"<Secret API Key>\"\n    accessID := \"<Access ID>\"\n\n    // リクエストの作成\n    req, _ := http.NewRequest(\"GET\", fmt.Sprintf(\"https://api.test.fincode.jp/v1/business_payments/%s\", accessID), nil)\n    req.Header.Set(\"Authorization\", fmt.Sprintf(\"Bearer %s\", apiKey))\n    req.Header.Set(\"Tenant-Buyer-Id\", \"b_***********\")\n\n    // リクエストの送信\n    client := &http.Client{}\n    res, err := client.Do(req)\n    if err != nil {\n        log.Fatal(err)\n    }\n    defer res.Body.Close()\n}\n"
          },
          {
            "lang": "php",
            "label": "PHP",
            "source": "<?php\n\n$apiKey = '<Secret API Key>';\n\n$accessId = '<Access ID>';\n\n$baseUrl = \"https://api.test.fincode.jp\";\n$endpoint = \"/v1/business_payments/{$accessId}\";\n$headers = [\n    \"Authorization: Bearer \" . $apiKey,\n    \"Content-Type: application/json\"\n    \"Tenant-Buyer-Id: b_***********\"\n];\n\n$session = curl_init();\ncurl_setopt($session, CURLOPT_URL, $baseUrl . $endpoint);\ncurl_setopt($session, CURLOPT_HTTPHEADER, $headers);\ncurl_setopt($session, CURLOPT_RETURNTRANSFER, true);\n// curl_setopt($session, CURLOPT_SSL_VERIFYPEER, );\n// curl_setopt($session, CURLOPT_SSL_VERIFYHOST, );\n\n$response = curl_exec($session);\n\nif ($response === false) {\n    # エラー処理\n    echo \"cURL Error: \" . curl_error($session);\n} else {\n    # APIからのデータを処理\n    var_dump($response);\n}\n\ncurl_close($session);\n"
          },
          {
            "lang": "python",
            "label": "Python 3",
            "source": "import requests\n\napi_key = '<Secret API Key>'\n\naccess_id = '<Access ID>'\n\nurl = f'https://api.test.fincode.jp/v1/business_payments/{access_id}'\n\n# ヘッダーを設定\nheaders = {\n    'Authorization': f'Bearer {api_key}',\n    'Content-Type': 'application/json'\n    'Tenant-Buyer-Id': 'b_***********'\n}\n\n# HTTP GETリクエストの送信\ntry:\n    response = requests.get(url, headers=headers)\n\n    # レスポンスの処理\n    if response.status_code == 200:\n        # 成功した場合の処理\n        print(f\"Success: {response.json()}\")\n    else:\n        # エラーの処理\n        print(f\"Error: {response.json()}\")\nexcept requests.RequestException as e:\n    # 通信エラーの処理\n    print(f\"Request error: {e}\")\n"
          },
          {
            "lang": "ruby",
            "label": "Ruby",
            "source": "require 'net/http'\nrequire 'uri'\nrequire 'json'\n\nAPI_KEY = '<Secret API Key>'\nBASE_URL = 'https://api.test.fincode.jp'\n\ndef main\n  access_id = '<Access ID>'\n  endpoint = \"/v1/business_payments/#{access_id}\"\n  uri = URI.parse(BASE_URL + endpoint)\n\n  http = Net::HTTP.new(uri.host, uri.port)\n  http.use_ssl = true\n\n  # リクエストの作成\n  request = Net::HTTP::Get.new(uri.request_uri)\n  request['Authorization'] = \"Bearer #{API_KEY}\"\n  request['Content-Type'] = 'application/json'\n  request[\"Tenant-Buyer-Id\"] = \"b_***********\"\n\n  # リクエストの送信\n  response = http.request(request)\n\n  case response\n  when Net::HTTPSuccess\n    puts 'SUCCESS'\n  else\n    puts 'ERROR'\n  end\n\n  # レスポンスの表示\n  puts response.body\nend\n\nmain\n"
          }
        ]
      },
      "post": {
        "security": [
          {
            "Secret-Bearer-Auth": []
          },
          {
            "Secret-Basic-Auth": []
          }
        ],
        "operationId": "updateBusinessPayment",
        "tags": [
          "請求書カード払い"
        ],
        "summary": "請求書カード払い更新",
        "description": "指定したIDの請求書カード払い情報を更新します。\n",
        "parameters": [
          {
            "in": "header",
            "name": "Tenant-Buyer-Id",
            "required": true,
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/schema"
                }
              ]
            },
            "description": "<span class=\"smallText color--red-400\">※ バイヤープラットフォームのみ指定可</span>\\\nテナントバイヤーID。\\\n指定したテナントバイヤーに紐づく請求書カード払い情報を更新します。\n"
          },
          {
            "name": "id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string",
              "minLength": 25,
              "maxLength": 25
            },
            "description": "取引ID"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "multipart/form-data": {
              "schema": {
                "$ref": "#/components/schemas/BusinessPayment.Updating.Request"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "リクエストに成功",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BusinessPayment.Updating.Response"
                }
              }
            }
          },
          "400": {
            "description": "不正なリクエスト",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/FincodeAPIError.Response"
                }
              }
            }
          }
        },
        "x-code-samples": [
          {
            "lang": "curl",
            "label": "cURL",
            "source": "curl \\\n    -X POST \\\n    -H \"Authorization:Bearer <Secret API Key>\" \\\n    -H \"Content-Type: multipart/form-data\" \\\n    -H \"Tenant-Buyer-Id: b_***********\" \\\n    -F 'data=@<File Name>;type=application/json' \\\n    -F 'invoice_file=@<File Name>' \\\n'https://api.test.fincode.jp/v1/business_payments/bp_VbZbE8t6RMGIsIfOP3U7ww\n"
          },
          {
            "lang": "node",
            "label": "Node.js",
            "source": "const API_KEY = \"<Secret API Key>\";\nconst BUSINESS_PAYMENT_ID = \"bp_VbZbE8t6RMGIsIfOP3U7ww\";\n\nconst form = new FormData();\n\nform.append(\"invoice_file\", \"<File>\");\nform.append(\"data\", `{\n    billing_amount: 10000,\n    card_token: null,\n    due_date: \"2025/05/11\",\n    invoice_file_name_display: \"請求書.pdf\",\n    remitter_name: \"カタカナ テストタロウ XYZ\",\n    payee: {\n        company_name: \"株式会社アイネット\",\n        corporate: \"0\",\n        representative_name: \"株式会社アイネット\",\n        invoice_registration_number: \"T7020001030145\",\n        addr_post_code: \"220-0012\",\n        addr_state: \"横浜市\",\n        addr_city: \"西区\",\n        addr_line_1: \"みなとみらい5-1-2\",\n        addr_line_2: \"横浜シンフォステージ ウエストタワー13階\",\n        email: \"test@test.com\",\n        phone_no: \"045-682-0845\",\n    },\n    payee_bank: {\n        bank_code: \"0011\",\n        bank_name: \"三井住友\",\n        branch_code: \"012\",\n        branch_name: \"横浜\",\n        account_kind: 1,\n        account_number: \"4108217\",\n        account_name: \"カテスト タロウ\",\n    },\n}`);\n\n(async () => {\n    const response = await fetch(`https://api.test.fincode.jp/v1/business_payments/${BUSINESS_PAYMENT_ID}`, {\n        method: \"POST\",\n        headers: {\n            Authorization: `Bearer ${API_KEY}`,\n            \"Content-Type\": \"multipart/form-data\",\n            \"Tenant-Buyer-Id\": \"b_***********\",\n        },\n        body: form,\n    });\n\n    const data = await response.json();\n    console.log(data);\n})();\n"
          },
          {
            "lang": "go",
            "label": "Go",
            "source": "package main\n\nimport (\n    \"bytes\"\n    \"fmt\"\n    \"io\"\n    \"net/http\"\n)\n\nfunc main() {\n    body := []byte(`{\"invoice_file\":\"string <binary>\",\"data\":\"{\n        BillingAmount:           10000,\n        CardToken:               nil,\n        BusinessPaymentsCardID:  \"1234\",\n        CardRegisterFlag:        nil,\n        DueDate:                 \"2025/05/11\",\n        InvoiceFileNameDisplay:  \"請求書.pdf\",\n        RemitterName:            \"カタカナ テストタロウ XYZ\",\n        Payee: Payee{\n            CompanyName:               \"株式会社アイネット\",\n            Corporate:                 \"0\",\n            RepresentativeName:        \"株式会社アイネット\",\n            InvoiceRegistrationNumber: \"T7020001030145\",\n            AddrPostCode:              \"220-0012\",\n            AddrState:                 \"横浜市\",\n            AddrCity:                  \"西区\",\n            AddrLine1:                 \"みなとみらい5-1-2\",\n            AddrLine2:                 \"横浜シンフォステージ ウエストタワー13階\",\n            Email:                     \"test@test.com\",\n            PhoneNo:                   \"045-682-0845\",\n        },\n        PayeeBank: PayeeBank{\n            BankCode:      \"0011\",\n            BankName:      \"三井住友\",\n            BranchCode:    \"012\",\n            BranchName:    \"横浜\",\n            AccountKind:   1,\n            AccountNumber: \"4108217\",\n            AccountName:   \"カテスト タロウ\",\n        },\n    }\"}`)\n\n    req, err := http.NewRequest(http.MethodPost, \"https://api.test.fincode.jp/v1/business_payments/bp_abc123\", bytes.NewBuffer(body))\n    if err != nil {\n        panic(err)\n    }\n\n    req.Header.Set(\"Authorization\", \"Bearer <Secret API Key>\")\n    req.Header.Set(\"Content-Type\", \"multipart/form-data\")\n    req.Header.Set(\"Tenant-Buyer-Id\", \"b_***********\")\n\n    resp, err := http.DefaultClient.Do(req)\n    if err != nil {\n        panic(err)\n    }\n    defer resp.Body.Close()\n\n    b, err := io.ReadAll(resp.Body)\n    if err != nil {\n        panic(err)\n    }\n\n    fmt.Println(string(b))\n}\n"
          },
          {
            "lang": "php",
            "label": "PHP",
            "source": "<?php\n\n$payload = json_encode([\n    'billing_amount' => 10000,\n    'card_token' => null,\n    'due_date' => '2025/05/11',\n    'invoice_file_name_display' => '請求書.pdf',\n    'remitter_name' => 'カタカナ テストタロウ XYZ',\n    'payee' => [\n        'company_name' => '株式会社アイネット',\n        'corporate' => '0',\n        'representative_name' => '株式会社アイネット',\n        'invoice_registration_number' => 'T7020001030145',\n        'addr_post_code' => '220-0012',\n        'addr_state' => '横浜市',\n        'addr_city' => '西区',\n        'addr_line_1' => 'みなとみらい5-1-2',\n        'addr_line_2' => '横浜シンフォステージ ウエストタワー13階',\n        'email' => 'test@test.com',\n        'phone_no' => '045-682-0845',\n    ],\n    'payee_bank' => [\n        'bank_code' => '0011',\n        'bank_name' => '三井住友',\n        'branch_code' => '012',\n        'branch_name' => '横浜',\n        'account_kind' => 1,\n        'account_number' => '4108217',\n        'account_name' => 'カテスト タロウ',\n    ],\n]);\n\n$ch = curl_init('https://api.test.fincode.jp/v1/business_payments/bp_VbZbE8t6RMGIsIfOP3U7ww');\ncurl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST');\ncurl_setopt($ch, CURLOPT_HTTPHEADER, [\n    'Authorization: Bearer <Secret API Key>',\n    'Content-Type: multipart/form-data',\n    'Tenant-Buyer-Id: b_***********'\n]);\ncurl_setopt($ch, CURLOPT_POSTFIELDS, $payload);\ncurl_setopt($ch, CURLOPT_RETURNTRANSFER, true);\n\n$response = curl_exec($ch);\ncurl_close($ch);\n\necho $response;\n"
          },
          {
            "lang": "python",
            "label": "Python 3",
            "source": "import requests\n\napi_key = '<Secret API Key>'\n\nurl = 'https://api.test.fincode.jp/v1/business_payments/bp_VbZbE8t6RMGIsIfOP3U7ww'\nheaders = {\n    'Authorization': f'Bearer {api_key}',\n    'Content-Type': 'multipart/form-data'\n    'Tenant-Buyer-Id': 'b_***********'\n}\ndata = {\n    'billing_amount': 10000,\n    'card_token': None,\n    'due_date': '2025/05/11',\n    'invoice_file_name_display': '請求書.pdf',\n    'remitter_name': 'カタカナ テストタロウ XYZ',\n    'payee': {\n        'company_name': '株式会社アイネット',\n        'corporate': '0',\n        'representative_name': '株式会社アイネット',\n        'invoice_registration_number': 'T7020001030145',\n        'addr_post_code': '220-0012',\n        'addr_state': '横浜市',\n        'addr_city': '西区',\n        'addr_line_1': 'みなとみらい5-1-2',\n        'addr_line_2': '横浜シンフォステージ ウエストタワー13階',\n        'email': 'test@test.com',\n        'phone_no': '045-682-0845'\n    },\n    'payee_bank': {\n        'bank_code': '0011',\n        'bank_name': '三井住友',\n        'branch_code': '012',\n        'branch_name': '横浜',\n        'account_kind': 1,\n        'account_number': '4108217',\n        'account_name': 'カテスト タロウ'\n    }\n}\n\nresponse = requests.post(url, headers=headers, json=data)\nprint(response.text)\n"
          },
          {
            "lang": "ruby",
            "label": "Ruby",
            "source": "require \"net/http\"\nrequire \"uri\"\nrequire \"json\"\n\nuri = URI.parse(\"https://api.test.fincode.jp/v1/business_payments/bp_VbZbE8t6RMGIsIfOP3U7ww\")\nrequest = Net::HTTP::Post.new(uri)\nrequest[\"Authorization\"] = \"Bearer <Secret API Key>\"\nrequest[\"Content-Type\"] = \"multipart/form-data\"\nrequest[\"Tenant-Buyer-Id\"] = \"b_***********\"\nrequest.body = {\n  billing_amount: 10000,\n  card_token: nil,\n  due_date: \"2025/05/11\",\n  invoice_file_name_display: \"請求書.pdf\",\n  remitter_name: \"カタカナ テストタロウ XYZ\",\n  payee: {\n    company_name: \"株式会社アイネット\",\n    corporate: \"0\",\n    representative_name: \"株式会社アイネット\",\n    invoice_registration_number: \"T7020001030145\",\n    addr_post_code: \"220-0012\",\n    addr_state: \"横浜市\",\n    addr_city: \"西区\",\n    addr_line_1: \"みなとみらい5-1-2\",\n    addr_line_2: \"横浜シンフォステージ ウエストタワー13階\",\n    email: \"test@test.com\",\n    phone_no: \"045-682-0845\"\n  },\n  payee_bank: {\n    bank_code: \"0011\",\n    bank_name: \"三井住友\",\n    branch_code: \"012\",\n    branch_name: \"横浜\",\n    account_kind: 1,\n    account_number: \"4108217\",\n    account_name: \"カテスト タロウ\"\n  }\n}.to_json\n\nresponse = Net::HTTP.start(uri.host, uri.port, use_ssl: true) do |http|\n  http.request(request)\nend\n\nputs response.body\n"
          }
        ]
      },
      "put": {
        "security": [
          {
            "Secret-Bearer-Auth": []
          },
          {
            "Secret-Basic-Auth": []
          }
        ],
        "operationId": "submitBusinessPayment",
        "tags": [
          "請求書カード払い"
        ],
        "summary": "請求書カード払い提出",
        "description": "請求書カード払い情報を提出する。\n",
        "parameters": [
          {
            "in": "header",
            "name": "Tenant-Buyer-Id",
            "required": true,
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/schema"
                }
              ]
            },
            "description": "<span class=\"smallText color--red-400\">※ バイヤープラットフォームのみ指定可</span>\\\nテナントバイヤーID。\\\n指定したテナントバイヤーに紐づく請求書カード払い情報を提出します。\n"
          },
          {
            "name": "id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "取引ID"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/BusinessPayment.Submitting.Request"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "リクエストに成功",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BusinessPayment.Submitting.Response"
                }
              }
            }
          },
          "400": {
            "description": "不正なリクエスト",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/FincodeAPIError.Response"
                }
              }
            }
          }
        },
        "x-code-samples": [
          {
            "lang": "curl",
            "label": "cURL",
            "source": "curl \\\n    -X PUT \\\n    -H \"Authorization:Bearer <Secret API Key>\" \\\n    -H \"Content-Type: application/json\" \\\n    -H \"Tenant-Buyer-Id: b_***********\" \\\n    -d '{\n            \"billing_amount\": 10000,\n            \"card_token\": null,\n            \"due_date\": \"2025/05/11\",\n            \"invoice_file_name_display\": \"請求書.pdf\",\n            \"remitter_name\": \"カタカナ　テストタロウ　ＸＹＺ\",\n            \"payee\": {\n                \"company_name\": \"株式会社アイネット\",\n                \"corporate\": \"0\",\n                \"representative_name\": \"株式会社アイネット\",\n                \"invoice_registration_number\": \"T7020001030145\",\n                \"addr_post_code\": \"220-0012\",\n                \"addr_state\": \"横浜市\",\n                \"addr_city\": \"西区\",\n                \"addr_line_1\": \"みなとみらい5-1-2\",\n                \"addr_line_2\": \"横浜シンフォステージ ウエストタワー13階\",\n                \"email\": \"test@test.com\",\n                \"phone_no\": \"045-682-0845\"\n            },\n            \"payee_bank\": {\n                \"bank_code\": \"0011\",\n                \"bank_name\": \"三井住友\",\n                \"branch_code\": \"012\",\n                \"branch_name\": \"横浜\",\n                \"account_kind\": 1,\n                \"account_number\": \"4108217\",\n                \"account_name\": \"カテスト　タロウ\"\n            }\n}' \\\n'https://api.test.fincode.jp/v1/business_payments/{id}'\n"
          },
          {
            "lang": "node",
            "label": "Node.js",
            "source": "import fetch from \"node-fetch\";\n\nconst BASE_URL = \"https://api.test.fincode.jp\";\nconst API_KEY = \"<Secret API Key>\";\n\n(async () => {\n    const businessPaymentId = \"<Business Payment ID>\"; // ここにBusiness Payment IDを設定\n\n    const endpoint = `${BASE_URL}/v1/business_payments/${businessPaymentId}`;\n\n    const response = await fetch(endpoint, {\n        method: \"PUT\",\n        headers: {\n            Authorization: `Bearer ${API_KEY}`,\n            \"Content-Type\": \"application/json\",\n            \"Tenant-Buyer-Id\": \"b_***********\",\n        },\n        body: JSON.stringify({\n            billing_amount: 10000,\n            card_token: null,\n            due_date: \"2025/05/11\",\n            invoice_file_name_display: \"請求書.pdf\",\n            remitter_name: \"カタカナ テストタロウ XYZ\",\n            payee: {\n                company_name: \"株式会社アイネット\",\n                corporate: \"0\",\n                representative_name: \"株式会社アイネット\",\n                invoice_registration_number: \"T7020001030145\",\n                addr_post_code: \"220-0012\",\n                addr_state: \"横浜市\",\n                addr_city: \"西区\",\n                addr_line_1: \"みなとみらい5-1-2\",\n                addr_line_2: \"横浜シンフォステージ ウエストタワー13階\",\n                email: \"test@test.com\",\n                phone_no: \"045-682-0845\",\n            },\n            payee_bank: {\n                bank_code: \"0011\",\n                bank_name: \"三井住友\",\n                branch_code: \"012\",\n                branch_name: \"横浜\",\n                account_kind: 1,\n                account_number: \"4108217\",\n                account_name: \"カテスト タロウ\",\n            },\n        }),\n    });\n\n    if (response.ok) {\n        const businessPaymentData = await response.json();\n        console.log(\"Business Payment Submitted:\", businessPaymentData);\n    } else {\n        console.error(\"Error submitting business payment:\", await response.text());\n    }\n})();\n"
          },
          {
            "lang": "go",
            "label": "Go",
            "source": "package main\n\nimport (\n    \"bytes\"\n    \"encoding/json\"\n    \"fmt\"\n    \"log\"\n    \"net/http\"\n)\n\nfunc main() {\n    // APIキーと請求書カード払いIDを指定\n    apiKey := \"<Secret API Key>\"\n    businessPaymentID := \"<Business Payment ID>\"\n\n    body := SubmitBusinessPaymentRequest{\n        BillingAmount:           10000,\n        CardToken:               nil,\n        BusinessPaymentsCardID:  \"1234\",\n        CardRegisterFlag:        nil,\n        DueDate:                 \"2025/05/11\",\n        InvoiceFileNameDisplay:  \"請求書.pdf\",\n        RemitterName:            \"カタカナ テストタロウ XYZ\",\n        Payee: Payee{\n            CompanyName:               \"株式会社アイネット\",\n            Corporate:                 \"0\",\n            RepresentativeName:        \"株式会社アイネット\",\n            InvoiceRegistrationNumber: \"T7020001030145\",\n            AddrPostCode:              \"220-0012\",\n            AddrState:                 \"横浜市\",\n            AddrCity:                  \"西区\",\n            AddrLine1:                 \"みなとみらい5-1-2\",\n            AddrLine2:                 \"横浜シンフォステージ ウエストタワー13階\",\n            Email:                     \"test@test.com\",\n            PhoneNo:                   \"045-682-0845\",\n        },\n        PayeeBank: PayeeBank{\n            BankCode:      \"0011\",\n            BankName:      \"三井住友\",\n            BranchCode:    \"012\",\n            BranchName:    \"横浜\",\n            AccountKind:   1,\n            AccountNumber: \"4108217\",\n            AccountName:   \"カテスト タロウ\",\n        },\n    }\n\n    marshalledBody, err := json.Marshal(body)\n    if err != nil {\n        log.Fatalf(\"エンコードエラー: %v\", err)\n    }\n\n    url := fmt.Sprintf(\"https://api.test.fincode.jp/v1/business_payments/%s\", businessPaymentID)\n\n    req, err := http.NewRequest(http.MethodPut, url, bytes.NewBuffer(marshalledBody))\n    if err != nil {\n        log.Fatalf(\"リクエストの作成エラー: %v\", err)\n    }\n\n    req.Header.Set(\"Authorization\", fmt.Sprintf(\"Bearer %s\", apiKey))\n    req.Header.Set(\"Content-Type\", \"application/json\")\n    req.Header.Set(\"Tenant-Buyer-Id\", \"b_***********\")\n\n    client := &http.Client{}\n    resp, err := client.Do(req)\n    if err != nil {\n        log.Fatalf(\"リクエストエラー: %v\", err)\n    }\n    defer resp.Body.Close()\n\n    fmt.Println(\"Status:\", resp.Status)\n}\n\ntype SubmitBusinessPaymentRequest struct {\n    BillingAmount          int     `json:\"billing_amount\"`\n    CardToken              *string `json:\"card_token\"`\n    DueDate                string  `json:\"due_date\"`\n    InvoiceFileNameDisplay string  `json:\"invoice_file_name_display\"`\n    RemitterName           string  `json:\"remitter_name\"`\n    Payee                  Payee   `json:\"payee\"`\n    PayeeBank              PayeeBank `json:\"payee_bank\"`\n}\n\ntype Payee struct {\n    CompanyName               string `json:\"company_name\"`\n    Corporate                 string `json:\"corporate\"`\n    RepresentativeName        string `json:\"representative_name\"`\n    InvoiceRegistrationNumber string `json:\"invoice_registration_number\"`\n    AddrPostCode              string `json:\"addr_post_code\"`\n    AddrState                 string `json:\"addr_state\"`\n    AddrCity                  string `json:\"addr_city\"`\n    AddrLine1                 string `json:\"addr_line_1\"`\n    AddrLine2                 string `json:\"addr_line_2\"`\n    Email                     string `json:\"email\"`\n    PhoneNo                   string `json:\"phone_no\"`\n}\n\ntype PayeeBank struct {\n    BankCode      string `json:\"bank_code\"`\n    BankName      string `json:\"bank_name\"`\n    BranchCode    string `json:\"branch_code\"`\n    BranchName    string `json:\"branch_name\"`\n    AccountKind   int    `json:\"account_kind\"`\n    AccountNumber string `json:\"account_number\"`\n    AccountName   string `json:\"account_name\"`\n}\n"
          },
          {
            "lang": "php",
            "label": "PHP",
            "source": "<?php\n\n$apiKey = '<Secret API Key>';\n$businessPaymentId = '<Business Payment ID>'; // ここにBusiness Payment IDを設定\n\n$baseUrl = \"https://api.test.fincode.jp\";\n$endpoint = \"/v1/business_payments/{$businessPaymentId}\";\n\n$headers = [\n    \"Authorization: Bearer \" . $apiKey,\n    \"Content-Type: application/json\"\n    \"Tenant-Buyer-Id: b_***********\"\n];\n\n$data = json_encode([\n    'billing_amount' => 10000,\n    'card_token' => null,\n    'due_date' => '2025/05/11',\n    'invoice_file_name_display' => '請求書.pdf',\n    'remitter_name' => 'カタカナ テストタロウ XYZ',\n    'payee' => [\n        'company_name' => '株式会社アイネット',\n        'corporate' => '0',\n        'representative_name' => '株式会社アイネット',\n        'invoice_registration_number' => 'T7020001030145',\n        'addr_post_code' => '220-0012',\n        'addr_state' => '横浜市',\n        'addr_city' => '西区',\n        'addr_line_1' => 'みなとみらい5-1-2',\n        'addr_line_2' => '横浜シンフォステージ ウエストタワー13階',\n        'email' => 'test@test.com',\n        'phone_no' => '045-682-0845',\n    ],\n    'payee_bank' => [\n        'bank_code' => '0011',\n        'bank_name' => '三井住友',\n        'branch_code' => '012',\n        'branch_name' => '横浜',\n        'account_kind' => 1,\n        'account_number' => '4108217',\n        'account_name' => 'カテスト タロウ',\n    ],\n]);\n\n$session = curl_init();\ncurl_setopt($session, CURLOPT_URL, $baseUrl . $endpoint);\ncurl_setopt($session, CURLOPT_CUSTOMREQUEST, 'PUT');\ncurl_setopt($session, CURLOPT_HTTPHEADER, $headers);\ncurl_setopt($session, CURLOPT_POSTFIELDS, $data);\ncurl_setopt($session, CURLOPT_RETURNTRANSFER, true);\n\n$response = curl_exec($session);\n\nif ($response === false) {\n    echo \"cURL Error: \" . curl_error($session);\n} else {\n    var_dump($response);\n}\n\ncurl_close($session);\n"
          },
          {
            "lang": "python",
            "label": "Python 3",
            "source": "import requests\n\napi_key = '<Secret API Key>'\nbusiness_payment_id = '<Business Payment ID>'  # ここにBusiness Payment IDを設定\n\nurl = f'https://api.test.fincode.jp/v1/business_payments/{business_payment_id}'\n\n# ヘッダーを設定\nheaders = {\n    'Authorization': f'Bearer {api_key}',\n    'Content-Type': 'application/json'\n    'Tenant-Buyer-Id': 'b_***********'\n}\ndata = {\n    'billing_amount': 10000,\n    'card_token': None,\n    'due_date': '2025/05/11',\n    'invoice_file_name_display': '請求書.pdf',\n    'remitter_name': 'カタカナ テストタロウ XYZ',\n    'payee': {\n        'company_name': '株式会社アイネット',\n        'corporate': '0',\n        'representative_name': '株式会社アイネット',\n        'invoice_registration_number': 'T7020001030145',\n        'addr_post_code': '220-0012',\n        'addr_state': '横浜市',\n        'addr_city': '西区',\n        'addr_line_1': 'みなとみらい5-1-2',\n        'addr_line_2': '横浜シンフォステージ ウエストタワー13階',\n        'email': 'test@test.com',\n        'phone_no': '045-682-0845'\n    },\n    'payee_bank': {\n        'bank_code': '0011',\n        'bank_name': '三井住友',\n        'branch_code': '012',\n        'branch_name': '横浜',\n        'account_kind': 1,\n        'account_number': '4108217',\n        'account_name': 'カテスト タロウ'\n    }\n}\n\n# HTTP PUTリクエストの送信\ntry:\n    response = requests.put(url, headers=headers, json=data)\n\n    # レスポンスの処理\n    if response.status_code == 200:\n        print(f\"Success: {response.json()}\")\n    else:\n        print(f\"Error: {response.text}\")\nexcept requests.RequestException as e:\n    print(f\"Request error: {e}\")\n"
          },
          {
            "lang": "ruby",
            "label": "Ruby",
            "source": "require \"net/http\"\nrequire \"uri\"\nrequire \"json\"\n\nAPI_KEY = '<Secret API Key>'\nBASE_URL = 'https://api.test.fincode.jp'\n\ndef main\n  business_payment_id = '<Business Payment ID>' # ここにBusiness Payment IDを設定\n  endpoint = \"/v1/business_payments/#{business_payment_id}\"\n\n  uri = URI.parse(BASE_URL + endpoint)\n\n  http = Net::HTTP.new(uri.host, uri.port)\n  http.use_ssl = true\n\n  data = {\n    billing_amount: 10000,\n    card_token: nil,\n    due_date: \"2025/05/11\",\n    invoice_file_name_display: \"請求書.pdf\",\n    remitter_name: \"カタカナ テストタロウ XYZ\",\n    payee: {\n      company_name: \"株式会社アイネット\",\n      corporate: \"0\",\n      representative_name: \"株式会社アイネット\",\n      invoice_registration_number: \"T7020001030145\",\n      addr_post_code: \"220-0012\",\n      addr_state: \"横浜市\",\n      addr_city: \"西区\",\n      addr_line_1: \"みなとみらい5-1-2\",\n      addr_line_2: \"横浜シンフォステージ ウエストタワー13階\",\n      email: \"test@test.com\",\n      phone_no: \"045-682-0845\"\n    },\n    payee_bank: {\n      bank_code: \"0011\",\n      bank_name: \"三井住友\",\n      branch_code: \"012\",\n      branch_name: \"横浜\",\n      account_kind: 1,\n      account_number: \"4108217\",\n      account_name: \"カテスト タロウ\"\n    }\n  }\n\n  request = Net::HTTP::Put.new(uri.request_uri)\n  request['Authorization'] = \"Bearer #{API_KEY}\"\n  request['Content-Type'] = 'application/json'\n  request[\"Tenant-Buyer-Id\"] = \"b_***********\"\n  request.body = data.to_json\n\n  response = http.request(request)\n\n  case response\n  when Net::HTTPSuccess\n    puts 'SUCCESS'\n  else\n    puts 'ERROR'\n  end\n\n  puts response.body\nend\n\nmain\n"
          }
        ]
      }
    },
    "/v1/business_payments/{id}/delete": {
      "put": {
        "security": [
          {
            "Secret-Bearer-Auth": []
          },
          {
            "Secret-Basic-Auth": []
          }
        ],
        "operationId": "deleteBusinessPayment",
        "tags": [
          "請求書カード払い"
        ],
        "summary": "請求書カード払い情報削除",
        "description": "指定したIDの請求書カード払い情報を削除します。\n",
        "parameters": [
          {
            "in": "header",
            "name": "Tenant-Buyer-Id",
            "required": true,
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/schema"
                }
              ]
            },
            "description": "<span class=\"smallText color--red-400\">※ バイヤープラットフォームのみ指定可</span>\\\nテナントバイヤーID。\\\n指定したテナントバイヤーに紐づく請求書カード払い情報を削除します。\n"
          },
          {
            "name": "id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string",
              "minLength": 25,
              "maxLength": 25
            },
            "description": "取引ID"
          }
        ],
        "responses": {
          "200": {
            "description": "リクエストに成功",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BusinessPayment.Deleting.Response"
                }
              }
            }
          },
          "400": {
            "description": "不正なリクエスト",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/FincodeAPIError.Response"
                }
              }
            }
          },
          "404": {
            "description": "該当データなし"
          }
        },
        "x-code-samples": [
          {
            "lang": "curl",
            "label": "cURL",
            "source": "curl \\\n    -X PUT \\\n    -H \"Authorization:Bearer <Secret API Key>\" \\\n    -H \"Tenant-Buyer-Id:b_***********\" \\\n    -H \"Tenant-Buyer-Id: b_***********\" \\\n'https://api.test.fincode.jp/v1/business_payments/bp_VbZbE8t6RMGIsIfOP3U7ww/delete'\n"
          },
          {
            "lang": "node",
            "label": "Node.js",
            "source": "const API_KEY = \"<Secret API Key>\";\nconst BUSINESS_PAYMENT_ID = \"bp_VbZbE8t6RMGIsIfOP3U7ww\";\n\n(async () => {\n    const response = await fetch(`https://api.test.fincode.jp/v1/business_payments/${BUSINESS_PAYMENT_ID}/delete`, {\n        method: \"PUT\",\n        headers: {\n            Authorization: `Bearer ${API_KEY}`,\n            \"Tenant-Buyer-Id\": \"b_***********\",\n        },\n    });\n\n    const data = await response.json();\n    console.log(data);\n})();\n"
          },
          {
            "lang": "go",
            "label": "Go",
            "source": "package main\n\nimport (\n    \"fmt\"\n    \"io\"\n    \"net/http\"\n)\n\nfunc main() {\n    req, err := http.NewRequest(http.MethodPut, \"https://api.test.fincode.jp/v1/business_payments/bp_VbZbE8t6RMGIsIfOP3U7ww/delete\", nil)\n    if err != nil {\n        panic(err)\n    }\n\n    req.Header.Set(\"Authorization\", \"Bearer <Secret API Key>\")\n    req.Header.Set(\"Tenant-Buyer-Id\", \"b_***********\")\n\n    resp, err := http.DefaultClient.Do(req)\n    if err != nil {\n        panic(err)\n    }\n    defer resp.Body.Close()\n\n    body, err := io.ReadAll(resp.Body)\n    if err != nil {\n        panic(err)\n    }\n\n    fmt.Println(string(body))\n}\n"
          },
          {
            "lang": "php",
            "label": "PHP",
            "source": "<?php\n\n$ch = curl_init('https://api.test.fincode.jp/v1/business_payments/bp_VbZbE8t6RMGIsIfOP3U7ww/delete');\ncurl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'PUT');\ncurl_setopt($ch, CURLOPT_HTTPHEADER, [\n    'Authorization: Bearer <Secret API Key>',\n    'Tenant-Buyer-Id: b_***********',\n]);\ncurl_setopt($ch, CURLOPT_RETURNTRANSFER, true);\n\n$response = curl_exec($ch);\ncurl_close($ch);\n\necho $response;\n"
          },
          {
            "lang": "python",
            "label": "Python 3",
            "source": "import requests\n\napi_key = '<Secret API Key>'\n\nurl = 'https://api.test.fincode.jp/v1/business_payments/bp_abc123/delete'\nheaders = {\n    'Authorization': f'Bearer {api_key}'\n    'Tenant-Buyer-Id': 'b_***********'\n}\n\nresponse = requests.put(url, headers=headers)\nprint(response.text)\n"
          },
          {
            "lang": "ruby",
            "label": "Ruby",
            "source": "require \"net/http\"\nrequire \"uri\"\n\nuri = URI.parse(\"https://api.test.fincode.jp/v1/business_payments/bp_VbZbE8t6RMGIsIfOP3U7ww/delete\")\nrequest = Net::HTTP::Put.new(uri)\nrequest[\"Authorization\"] = \"Bearer <Secret API Key>\"\nrequest[\"Tenant-Buyer-Id\"] = \"b_***********\"\n\nresponse = Net::HTTP.start(uri.host, uri.port, use_ssl: true) do |http|\n  http.request(request)\nend\n\nputs response.body\n"
          }
        ]
      }
    },
    "/v1/business_payments/request": {
      "put": {
        "security": [
          {
            "Secret-Bearer-Auth": []
          },
          {
            "Secret-Basic-Auth": []
          }
        ],
        "operationId": "requestBusinessPayment",
        "tags": [
          "請求書カード払い"
        ],
        "summary": "請求書カード払い依頼",
        "description": "請求書カード払い依頼を行います。\n",
        "parameters": [
          {
            "in": "header",
            "name": "Tenant-Buyer-Id",
            "required": true,
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/schema"
                }
              ]
            },
            "description": "<span class=\"smallText color--red-400\">※ バイヤープラットフォームのみ指定可</span>\\\nテナントバイヤーID。\\\n指定したテナントバイヤーの請求書カード払い情報依頼を行います。\n"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/BusinessPayment.Requesting.Request"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "リクエストに成功",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BusinessPayment.Requesting.Response"
                }
              }
            }
          },
          "400": {
            "description": "不正なリクエスト",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/FincodeAPIError.Response"
                }
              }
            }
          }
        },
        "x-code-samples": [
          {
            "lang": "curl",
            "label": "cURL",
            "source": "curl \\\n    -X PUT \\\n    -H \"Authorization:Bearer <Secret API Key>\" \\\n    -H \"Content-Type: application/json\" \\\n    -H \"Tenant-Buyer-Id: b_***********\" \\\n    -d '{\n    \"access_id\": \"bp_abcdefghijklmnopqrstuv\",\n}' \\\n'https://api.test.fincode.jp/v1/business_payments/request'\n"
          },
          {
            "lang": "node",
            "label": "Node.js",
            "source": "const API_KEY = \"<Secret API Key>\";\n\n(async () => {\n  const response = await fetch(\n    \"https://api.test.fincode.jp/v1/business_payments/request\",\n    {\n      method: \"PUT\",\n      headers: {\n        Authorization: `Bearer ${API_KEY}`,\n        \"Content-Type\": \"application/json\",\n        \"Tenant-Buyer-Id\": \"b_***********\",\n      },\n      body: JSON.stringify({\n        access_id: \"bp_abcdefghijklmnopqrstuv\",\n      }),\n    },\n  );\n\n  const data = await response.json();\n  console.log(data);\n})();\n"
          },
          {
            "lang": "go",
            "label": "Go",
            "source": "package main\n\nimport (\n    \"bytes\"\n    \"fmt\"\n    \"io\"\n    \"net/http\"\n)\n\nfunc main() {\n    body := []byte(`{\"access_id\":\"bp_abcdefghijklmnopqrstuv\"}`)\n\n    req, err := http.NewRequest(http.MethodPut, \"https://api.test.fincode.jp/v1/business_payments/request\", bytes.NewBuffer(body))\n    if err != nil {\n        panic(err)\n    }\n\n    req.Header.Set(\"Authorization\", \"Bearer <Secret API Key>\")\n    req.Header.Set(\"Content-Type\", \"application/json\")\n    req.Header.Set(\"Tenant-Buyer-Id\", \"b_***********\")\n\n    resp, err := http.DefaultClient.Do(req)\n    if err != nil {\n        panic(err)\n    }\n    defer resp.Body.Close()\n\n    b, err := io.ReadAll(resp.Body)\n    if err != nil {\n        panic(err)\n    }\n\n    fmt.Println(string(b))\n}\n"
          },
          {
            "lang": "php",
            "label": "PHP",
            "source": "<?php\n\n$payload = json_encode([\n    'access_id' => 'bp_abcdefghijklmnopqrstuv',\n]);\n\n$ch = curl_init('https://api.test.fincode.jp/v1/business_payments/request');\ncurl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'PUT');\ncurl_setopt($ch, CURLOPT_HTTPHEADER, [\n    'Authorization: Bearer <Secret API Key>',\n    'Content-Type: application/json',\n    'Tenant-Buyer-Id: b_***********'\n]);\ncurl_setopt($ch, CURLOPT_POSTFIELDS, $payload);\ncurl_setopt($ch, CURLOPT_RETURNTRANSFER, true);\n\n$response = curl_exec($ch);\ncurl_close($ch);\n\necho $response;\n"
          },
          {
            "lang": "python",
            "label": "Python 3",
            "source": "import requests\n\napi_key = '<Secret API Key>'\n\nurl = 'https://api.test.fincode.jp/v1/business_payments/request'\nheaders = {\n    'Authorization': f'Bearer {api_key}',\n    'Tenant-Buyer-Id': 'b_***********'\n    'Content-Type': 'application/json'\n}\ndata = {\n    'access_id': 'bp_abcdefghijklmnopqrstuv'\n}\n\nresponse = requests.put(url, headers=headers, json=data)\nprint(response.text)\n"
          },
          {
            "lang": "ruby",
            "label": "Ruby",
            "source": "require \"net/http\"\nrequire \"uri\"\nrequire \"json\"\n\nuri = URI.parse(\"https://api.test.fincode.jp/v1/business_payments/request\")\nrequest = Net::HTTP::Put.new(uri)\nrequest[\"Authorization\"] = \"Bearer <Secret API Key>\"\nrequest[\"Tenant-Buyer-Id\"] = \"b_***********\"\nrequest[\"Content-Type\"] = \"application/json\"\nrequest.body = {\n  access_id: \"bp_abcdefghijklmnopqrstuv\"\n}.to_json\n\nresponse = Net::HTTP.start(uri.host, uri.port, use_ssl: true) do |http|\n  http.request(request)\nend\n\nputs response.body\n"
          }
        ]
      }
    },
    "/v1/business_payments/auth": {
      "put": {
        "security": [
          {
            "Secret-Bearer-Auth": []
          },
          {
            "Secret-Basic-Auth": []
          }
        ],
        "operationId": "authorizeBusinessPayment",
        "tags": [
          "請求書カード払い"
        ],
        "summary": "請求書カード払いオーソリ依頼",
        "parameters": [
          {
            "in": "header",
            "name": "Tenant-Buyer-Id",
            "required": true,
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/schema"
                }
              ]
            },
            "description": "<span class=\"smallText color--red-400\">※ バイヤープラットフォームのみ指定可</span>\\\nテナントバイヤーID。\n"
          }
        ],
        "description": "請求書カード払いオーソリ依頼を行います。\n",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/BusinessPayment.Authorizing.Request"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "リクエストに成功",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BusinessPayment.Authorizing.Response"
                }
              }
            }
          },
          "400": {
            "description": "不正なリクエスト",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/FincodeAPIError.Response"
                }
              }
            }
          }
        },
        "x-code-samples": [
          {
            "lang": "curl",
            "label": "cURL",
            "source": "curl \\\n    -X PUT \\\n    -H \"Authorization:Bearer <Secret API Key>\" \\\n    -H \"Content-Type: application/json\" \\\n    -H \"Tenant-Buyer-Id: b_***********\" \\\n    -d '{\n    \"p\": \"abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890abcdefh\"\n}' \\\n'https://api.test.fincode.jp/v1/business_payments/auth'\n"
          },
          {
            "lang": "node",
            "label": "Node.js",
            "source": "const API_KEY = \"<Secret API Key>\";\n\n(async () => {\n  const response = await fetch(\n    \"https://api.test.fincode.jp/v1/business_payments/auth\",\n    {\n      method: \"PUT\",\n      headers: {\n        Authorization: `Bearer ${API_KEY}`,\n        \"Content-Type\": \"application/json\",\n        \"Tenant-Buyer-Id\": \"b_***********\",\n      },\n      body: JSON.stringify({\n        p: \"abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890abcdefh\",\n      }),\n    },\n  );\n\n  const data = await response.json();\n  console.log(data);\n})();\n"
          },
          {
            "lang": "go",
            "label": "Go",
            "source": "package main\n\nimport (\n    \"bytes\"\n    \"fmt\"\n    \"io\"\n    \"net/http\"\n)\n\nfunc main() {\n    body := []byte(`{\"p\": \"abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890abcdefh\"}`)\n\n    req, err := http.NewRequest(http.MethodPut, \"https://api.test.fincode.jp/v1/business_payments/auth\", bytes.NewBuffer(body))\n    if err != nil {\n        panic(err)\n    }\n\n    req.Header.Set(\"Authorization\", \"Bearer <Secret API Key>\")\n    req.Header.Set(\"Content-Type\", \"application/json\")\n    req.Header.Set(\"Tenant-Buyer-Id\", \"b_***********\")\n\n    resp, err := http.DefaultClient.Do(req)\n    if err != nil {\n        panic(err)\n    }\n    defer resp.Body.Close()\n\n    b, err := io.ReadAll(resp.Body)\n    if err != nil {\n        panic(err)\n    }\n\n    fmt.Println(string(b))\n}\n"
          },
          {
            "lang": "php",
            "label": "PHP",
            "source": "<?php\n\n$payload = json_encode([\n    'p' => 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890abcdefh',\n]);\n\n$ch = curl_init('https://api.test.fincode.jp/v1/business_payments/auth');\ncurl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'PUT');\ncurl_setopt($ch, CURLOPT_HTTPHEADER, [\n    'Authorization: Bearer <Secret API Key>',\n    'Content-Type: application/json',\n    'Tenant-Buyer-Id: b_***********'\n]);\ncurl_setopt($ch, CURLOPT_POSTFIELDS, $payload);\ncurl_setopt($ch, CURLOPT_RETURNTRANSFER, true);\n\n$response = curl_exec($ch);\ncurl_close($ch);\n\necho $response;\n"
          },
          {
            "lang": "python",
            "label": "Python 3",
            "source": "import requests\n\napi_key = '<Secret API Key>'\n\nurl = 'https://api.test.fincode.jp/v1/business_payments/auth'\nheaders = {\n    'Authorization': f'Bearer {api_key}',\n    'Content-Type': 'application/json'\n    'Tenant-Buyer-Id': 'b_***********'\n}\ndata = {\n    'p': 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890abcdefh'\n}\n\nresponse = requests.put(url, headers=headers, json=data)\nprint(response.text)\n"
          },
          {
            "lang": "ruby",
            "label": "Ruby",
            "source": "require \"net/http\"\nrequire \"uri\"\nrequire \"json\"\n\nuri = URI.parse(\"https://api.test.fincode.jp/v1/business_payments/auth\")\nrequest = Net::HTTP::Put.new(uri)\nrequest[\"Authorization\"] = \"Bearer <Secret API Key>\"\nrequest[\"Content-Type\"] = \"application/json\"\nrequest[\"Tenant-Buyer-Id\"] = \"b_***********\"\nrequest.body = {\n  p: \"abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890abcdefh\"\n}.to_json\n\nresponse = Net::HTTP.start(uri.host, uri.port, use_ssl: true) do |http|\n  http.request(request)\nend\n\nputs response.body\n"
          }
        ]
      }
    },
    "/v1/business_payments/business": {
      "get": {
        "security": [
          {
            "Secret-Bearer-Auth": []
          },
          {
            "Secret-Basic-Auth": []
          }
        ],
        "operationId": "retrieveBusinessPaymentBusiness",
        "tags": [
          "請求書カード払い"
        ],
        "summary": "請求書カード払い事業者情報取得",
        "description": "請求書カード払い事業者情報を取得します。\n",
        "parameters": [
          {
            "in": "header",
            "name": "Tenant-Buyer-Id",
            "required": true,
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/schema"
                }
              ]
            },
            "description": "<span class=\"smallText color--red-400\">※ バイヤープラットフォームのみ指定可</span>\\\nテナントバイヤーID。\\\n指定したテナントバイヤーの請求書カード払い事業者情報を取得します。\n"
          }
        ],
        "responses": {
          "200": {
            "description": "リクエストに成功",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BusinessPayment.Business"
                }
              }
            }
          },
          "400": {
            "description": "不正なリクエスト",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/FincodeAPIError.Response"
                }
              }
            }
          }
        },
        "x-code-samples": [
          {
            "lang": "curl",
            "label": "cURL",
            "source": "curl \\\n    -X GET \\\n    -H \"Authorization:Bearer <Secret API Key>\" \\\n    -H \"Tenant-Buyer-Id: b_***********\" \\\n'https://api.test.fincode.jp/v1/business_payments/business'\n"
          },
          {
            "lang": "node",
            "label": "Node.js",
            "source": "const API_KEY = \"<Secret API Key>\";\n\n(async () => {\n    const response = await fetch(\"https://api.test.fincode.jp/v1/business_payments/business\", {\n        method: \"GET\",\n        headers: {\n            Authorization: `Bearer ${API_KEY}`,\n            \"Tenant-Buyer-Id\": \"b_***********\",\n        },\n    });\n\n    const data = await response.json();\n    console.log(data);\n})();\n"
          },
          {
            "lang": "go",
            "label": "Go",
            "source": "package main\n\nimport (\n    \"fmt\"\n    \"io\"\n    \"net/http\"\n)\n\nfunc main() {\n    req, err := http.NewRequest(http.MethodGet, \"https://api.test.fincode.jp/v1/business_payments/business\", nil)\n    if err != nil {\n        panic(err)\n    }\n\n    req.Header.Set(\"Authorization\", \"Bearer <Secret API Key>\")\n    req.Header.Set(\"Tenant-Buyer-Id\", \"b_***********\")\n\n    resp, err := http.DefaultClient.Do(req)\n    if err != nil {\n        panic(err)\n    }\n    defer resp.Body.Close()\n\n    body, err := io.ReadAll(resp.Body)\n    if err != nil {\n        panic(err)\n    }\n\n    fmt.Println(string(body))\n}\n"
          },
          {
            "lang": "php",
            "label": "PHP",
            "source": "<?php\n\n$ch = curl_init('https://api.test.fincode.jp/v1/business_payments/business');\ncurl_setopt($ch, CURLOPT_HTTPHEADER, [\n    'Authorization: Bearer <Secret API Key>',\n    'Tenant-Buyer-Id: b_***********'\n]);\ncurl_setopt($ch, CURLOPT_RETURNTRANSFER, true);\n\n$response = curl_exec($ch);\ncurl_close($ch);\n\necho $response;\n"
          },
          {
            "lang": "python",
            "label": "Python 3",
            "source": "from urllib.request import Request, urlopen\n\nrequest = Request(\n    \"https://api.test.fincode.jp/v1/business_payments/business\",\n    headers={\n        \"Authorization\": \"Bearer <Secret API Key>\",\n        'Tenant-Buyer-Id': 'b_***********'\n    },\n    method=\"GET\",\n)\n\nwith urlopen(request) as response:\n    print(response.read().decode(\"utf-8\"))\n"
          },
          {
            "lang": "ruby",
            "label": "Ruby",
            "source": "require \"net/http\"\nrequire \"uri\"\n\nuri = URI.parse(\"https://api.test.fincode.jp/v1/business_payments/business\")\nrequest = Net::HTTP::Get.new(uri)\nrequest[\"Authorization\"] = \"Bearer <Secret API Key>\"\nrequest[\"Tenant-Buyer-Id\"] = \"b_***********\"\n\nresponse = Net::HTTP.start(uri.host, uri.port, use_ssl: true) do |http|\n  http.request(request)\nend\n\nputs response.body\n"
          }
        ]
      }
    },
    "/v1/buyer_platform/tenants": {
      "get": {
        "security": [
          {
            "Secret-Bearer-Auth": []
          },
          {
            "Secret-Basic-Auth": []
          }
        ],
        "tags": [
          "テナントバイヤー"
        ],
        "operationId": "retrieveTenantBuyerList",
        "summary": "テナントバイヤー 一覧取得",
        "description": "テナントバイヤーを一覧で取得します。\\\nクエリパラメータを指定して取得する条件を絞り込めます。\n",
        "parameters": [
          {
            "name": "クエリ",
            "in": "query",
            "description": "テナントバイヤー情報の一覧取得において検索条件となるクエリパラメータ\n",
            "required": false,
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/Pagination.QueryParams"
                },
                {
                  "$ref": "#/components/schemas/TenantBuyer.ListRetrieving.QueryParams"
                }
              ]
            }
          }
        ],
        "responses": {
          "200": {
            "description": "リクエストに成功",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/TenantBuyer.ListRetrieving.Response"
                }
              }
            }
          },
          "400": {
            "description": "不正なリクエスト",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/FincodeAPIError.Response"
                }
              }
            }
          }
        },
        "x-code-samples": [
          {
            "lang": "curl",
            "label": "cURL",
            "source": "curl \\\n    -X GET \\\n    -H \"Authorization:Bearer <Secret API Key>\" \\\n'https://api.test.fincode.jp/v1/buyer_platform/tenants'\n\n"
          },
          {
            "lang": "node",
            "label": "Node.js",
            "source": "const API_KEY = \"<Secret API Key>\";\n\n(async () => {\n    const response = await fetch(\"https://api.test.fincode.jp/v1/buyer_platform/tenants?limit=10\", {\n        method: \"GET\",\n        headers: {\n            Authorization: `Bearer ${API_KEY}`,\n        },\n    });\n\n    const data = await response.json();\n    console.log(data);\n})();\n\n"
          },
          {
            "lang": "go",
            "label": "Go",
            "source": "package main\n\nimport (\n\t\"fmt\"\n\t\"log\"\n\t\"net/http\"\n)\n\nfunc main() {\n\tapiKey := \"<Secret API Key>\"\n\n\treq, _ := http.NewRequest(\"GET\", \"https://api.test.fincode.jp/v1/buyer_platform/tenants\", nil)\n\treq.Header.Set(\"Authorization\", fmt.Sprintf(\"Bearer %s\", apiKey))\n\n\tparams := req.URL.Query()\n\tparams.Add(\"limit\", \"10\")\n\treq.URL.RawQuery = params.Encode()\n\n\tclient := &http.Client{}\n\tres, err := client.Do(req)\n\tif err != nil {\n\t\tlog.Fatal(err)\n\t}\n\tdefer res.Body.Close()\n}\n\n"
          },
          {
            "lang": "php",
            "label": "PHP",
            "source": "<?php\n\n$apiKey = '<Secret API Key>';\n\n$baseUrl = \"https://api.test.fincode.jp\";\n$endpoint = \"/v1/buyer_platform/tenants\";\n$queryParams = [\n    \"limit\" => 10,\n];\n\n$headers = [\n    \"Authorization: Bearer \" . $apiKey,\n];\n\n$session = curl_init();\ncurl_setopt($session, CURLOPT_URL, $baseUrl . $endpoint . '?' . http_build_query($queryParams));\ncurl_setopt($session, CURLOPT_HTTPHEADER, $headers);\ncurl_setopt($session, CURLOPT_HTTPGET, true);\ncurl_setopt($session, CURLOPT_RETURNTRANSFER, true);\n\n$response = curl_exec($session);\n\nif ($response === false) {\n    echo \"cURL Error: \" . curl_error($session);\n} else {\n    var_dump($response);\n}\n\ncurl_close($session);\n\n"
          },
          {
            "lang": "python",
            "label": "Python 3",
            "source": "import requests\n\napi_key = '<Secret API Key>'\n\nurl = 'https://api.test.fincode.jp/v1/buyer_platform/tenants'\nquery_params = {\n    'limit': '10',\n}\n\nheaders = {\n    'Authorization': f'Bearer {api_key}',\n}\n\ntry:\n    response = requests.get(url, headers=headers, params=query_params)\n\n    if response.status_code == 200:\n        print(f\"Success: {response.json()}\")\n    else:\n        print(f\"Error: {response.json()}\")\nexcept requests.RequestException as e:\n    print(f\"Request error: {e}\")\n\n"
          },
          {
            "lang": "ruby",
            "label": "Ruby",
            "source": "require 'net/http'\nrequire 'uri'\n\nAPI_KEY = '<Secret API Key>'\nBASE_URL = 'https://api.test.fincode.jp'\n\ndef main\n    endpoint = '/v1/buyer_platform/tenants'\n    query_params = { limit: 10 }\n\n    uri = URI.parse(BASE_URL + endpoint)\n    uri.query = URI.encode_www_form(query_params)\n\n    http = Net::HTTP.new(uri.host, uri.port)\n    http.use_ssl = true\n\n    request = Net::HTTP::Get.new(uri.request_uri)\n    request['Authorization'] = \"Bearer #{API_KEY}\"\n\n    response = http.request(request)\n\n    case response\n    when Net::HTTPSuccess\n        puts 'SUCCESS'\n    else\n        puts 'ERROR'\n    end\n\n    puts response.body\nend\n\nmain\n\n"
          }
        ]
      }
    },
    "/v1/buyer_platform/tenants/{id}": {
      "get": {
        "security": [
          {
            "Secret-Bearer-Auth": []
          },
          {
            "Secret-Basic-Auth": []
          }
        ],
        "tags": [
          "テナントバイヤー"
        ],
        "operationId": "retrieveTenantBuyer",
        "summary": "テナントバイヤー 取得",
        "description": "`id`で指定したテナントバイヤー情報を取得します。\n",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "バイヤーID\n",
            "required": true,
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/schema"
                }
              ]
            }
          }
        ],
        "responses": {
          "200": {
            "description": "リクエストに成功",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/TenantBuyer.Retrieving.Response"
                }
              }
            }
          },
          "400": {
            "description": "不正なリクエスト",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/FincodeAPIError.Response"
                }
              }
            }
          }
        },
        "x-code-samples": [
          {
            "lang": "curl",
            "label": "cURL",
            "source": "curl \\\n    -X GET \\\n    -H \"Authorization:Bearer <Secret API Key>\" \\\n'https://api.test.fincode.jp/v1/buyer_platform/tenants/{id}'\n\n"
          },
          {
            "lang": "node",
            "label": "Node.js",
            "source": "const API_KEY = \"<Secret API Key>\";\nconst TENANT_BUYER_ID = \"<Tenant Buyer ID>\";\n\n(async () => {\n    const response = await fetch(`https://api.test.fincode.jp/v1/buyer_platform/tenants/${TENANT_BUYER_ID}`, {\n        method: \"GET\",\n        headers: {\n            Authorization: `Bearer ${API_KEY}`,\n        },\n    });\n\n    const data = await response.json();\n    console.log(data);\n})();\n\n"
          },
          {
            "lang": "go",
            "label": "Go",
            "source": "package main\n\nimport (\n\t\"fmt\"\n\t\"log\"\n\t\"net/http\"\n)\n\nfunc main() {\n\tapiKey := \"<Secret API Key>\"\n\ttenantBuyerID := \"<Tenant Buyer ID>\"\n\n\treq, _ := http.NewRequest(\n\t\t\"GET\",\n\t\tfmt.Sprintf(\"https://api.test.fincode.jp/v1/buyer_platform/tenants/%s\", tenantBuyerID),\n\t\tnil,\n\t)\n\treq.Header.Set(\"Authorization\", fmt.Sprintf(\"Bearer %s\", apiKey))\n\n\tclient := &http.Client{}\n\tres, err := client.Do(req)\n\tif err != nil {\n\t\tlog.Fatal(err)\n\t}\n\tdefer res.Body.Close()\n}\n\n"
          },
          {
            "lang": "php",
            "label": "PHP",
            "source": "<?php\n\n$apiKey = '<Secret API Key>';\n$tenantBuyerId = '<Tenant Buyer ID>';\n\n$baseUrl = \"https://api.test.fincode.jp\";\n$endpoint = \"/v1/buyer_platform/tenants/{$tenantBuyerId}\";\n$headers = [\n    \"Authorization: Bearer \" . $apiKey,\n];\n\n$session = curl_init();\ncurl_setopt($session, CURLOPT_URL, $baseUrl . $endpoint);\ncurl_setopt($session, CURLOPT_HTTPHEADER, $headers);\ncurl_setopt($session, CURLOPT_HTTPGET, true);\ncurl_setopt($session, CURLOPT_RETURNTRANSFER, true);\n\n$response = curl_exec($session);\n\nif ($response === false) {\n    echo \"cURL Error: \" . curl_error($session);\n} else {\n    var_dump($response);\n}\n\ncurl_close($session);\n\n"
          },
          {
            "lang": "python",
            "label": "Python 3",
            "source": "import requests\n\napi_key = '<Secret API Key>'\ntenant_buyer_id = '<Tenant Buyer ID>'\n\nurl = f'https://api.test.fincode.jp/v1/buyer_platform/tenants/{tenant_buyer_id}'\n\nheaders = {\n    'Authorization': f'Bearer {api_key}',\n}\n\ntry:\n    response = requests.get(url, headers=headers)\n\n    if response.status_code == 200:\n        print(f\"Success: {response.json()}\")\n    else:\n        print(f\"Error: {response.json()}\")\nexcept requests.RequestException as e:\n    print(f\"Request error: {e}\")\n\n"
          },
          {
            "lang": "ruby",
            "label": "Ruby",
            "source": "require 'net/http'\nrequire 'uri'\n\nAPI_KEY = '<Secret API Key>'\nBASE_URL = 'https://api.test.fincode.jp'\n\ndef main\n    tenant_buyer_id = '<Tenant Buyer ID>'\n    endpoint = \"/v1/buyer_platform/tenants/#{tenant_buyer_id}\"\n\n    uri = URI.parse(BASE_URL + endpoint)\n\n    http = Net::HTTP.new(uri.host, uri.port)\n    http.use_ssl = true\n\n    request = Net::HTTP::Get.new(uri.request_uri)\n    request['Authorization'] = \"Bearer #{API_KEY}\"\n\n    response = http.request(request)\n\n    case response\n    when Net::HTTPSuccess\n        puts 'SUCCESS'\n    else\n        puts 'ERROR'\n    end\n\n    puts response.body\nend\n\nmain\n\n"
          }
        ]
      }
    },
    "/v1/buyer_platform/tenant_entries": {
      "post": {
        "security": [
          {
            "Secret-Bearer-Auth": []
          },
          {
            "Secret-Basic-Auth": []
          }
        ],
        "operationId": "createTenantBuyerWithNewUser",
        "tags": [
          "テナントバイヤー申請管理"
        ],
        "summary": "テナントバイヤー 作成（新規ユーザー登録）",
        "description": "新規ユーザーを作成し、作成されたユーザーをオーナーとして新規テナントバイヤーを作成するAPIです。\\\nこのAPIでのテナントバイヤー作成に成功すると、登録されたメールアドレス宛にメールアドレス認証メールが送信されます。\n",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/POST.BuyerPlatformTenantEntries.Request"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "リクエストに成功",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/POST.BuyerPlatformTenantEntries.Response.business_operator"
                }
              }
            }
          },
          "400": {
            "description": "不正なリクエスト",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/FincodeAPIError.Response"
                }
              }
            }
          }
        },
        "x-code-samples": [
          {
            "lang": "curl",
            "label": "cURL",
            "source": "curl \\\n    -X POST \\\n    -H \"Authorization:Bearer <Secret API Key>\" \\\n    -H \"Content-Type: application/json\" \\\n    -d '{\n    \"email\": \"<New User Email Address>\",\n    \"password\": \"<New User Password>\",\n    \"name\": \"<New User Name>\",\n    \"tenant_url_id\": \"<Tenant Invitation URL ID>\"\n}' \\\n'https://api.test.fincode.jp/v1/buyer_platform/tenant_entries'\n\n"
          },
          {
            "lang": "node",
            "label": "Node.js",
            "source": "const API_KEY = \"<Secret API Key>\";\n\n(async () => {\n    const response = await fetch(\"https://api.test.fincode.jp/v1/buyer_platform/tenant_entries\", {\n        method: \"POST\",\n        headers: {\n            Authorization: `Bearer ${API_KEY}`,\n            \"Content-Type\": \"application/json\",\n        },\n        body: JSON.stringify({\n            email: \"new-user@example.com\",\n            password: \"new-user-password\",\n            name: \"New User\",\n            tenant_url_id: \"<Tenant Invitation URL ID>\",\n        }),\n    });\n\n    const data = await response.json();\n    console.log(data);\n})();\n\n"
          },
          {
            "lang": "go",
            "label": "Go",
            "source": "package main\n\nimport (\n\t\"bytes\"\n\t\"encoding/json\"\n\t\"fmt\"\n\t\"log\"\n\t\"net/http\"\n)\n\nfunc main() {\n\tapiKey := \"<Secret API Key>\"\n\n\tbody := CreatingTenantBuyerWithNewUserRequest{\n\t\tEmail:       \"new-user@example.com\",\n\t\tPassword:    \"new-user-password\",\n\t\tName:        \"New User\",\n\t\tTenantURLID: \"<Tenant Invitation URL ID>\",\n\t}\n\n\tmarshalledBody, _ := json.Marshal(body)\n\n\treq, _ := http.NewRequest(\"POST\", \"https://api.test.fincode.jp/v1/buyer_platform/tenant_entries\", bytes.NewBuffer(marshalledBody))\n\treq.Header.Set(\"Authorization\", fmt.Sprintf(\"Bearer %s\", apiKey))\n\treq.Header.Set(\"Content-Type\", \"application/json\")\n\n\tclient := &http.Client{}\n\tres, err := client.Do(req)\n\tif err != nil {\n\t\tlog.Fatal(err)\n\t}\n\tdefer res.Body.Close()\n}\n\ntype CreatingTenantBuyerWithNewUserRequest struct {\n\tEmail       string `json:\"email\"`\n\tPassword    string `json:\"password\"`\n\tName        string `json:\"name\"`\n\tTenantURLID string `json:\"tenant_url_id\"`\n}\n\n"
          },
          {
            "lang": "php",
            "label": "PHP",
            "source": "<?php\n\n$apiKey = '<Secret API Key>';\n\n$baseUrl = \"https://api.test.fincode.jp\";\n$endpoint = \"/v1/buyer_platform/tenant_entries\";\n$headers = [\n    \"Authorization: Bearer \" . $apiKey,\n    \"Content-Type: application/json\"\n];\n\n$data = json_encode([\n    \"email\" => \"new-user@example.com\",\n    \"password\" => \"new-user-password\",\n    \"name\" => \"New User\",\n    \"tenant_url_id\" => \"<Tenant Invitation URL ID>\",\n]);\n\n$session = curl_init();\ncurl_setopt($session, CURLOPT_URL, $baseUrl . $endpoint);\ncurl_setopt($session, CURLOPT_HTTPHEADER, $headers);\ncurl_setopt($session, CURLOPT_POST, true);\ncurl_setopt($session, CURLOPT_POSTFIELDS, $data);\ncurl_setopt($session, CURLOPT_RETURNTRANSFER, true);\n\n$response = curl_exec($session);\n\nif ($response === false) {\n    echo \"cURL Error: \" . curl_error($session);\n} else {\n    var_dump($response);\n}\n\ncurl_close($session);\n\n"
          },
          {
            "lang": "python",
            "label": "Python 3",
            "source": "import requests\n\napi_key = '<Secret API Key>'\n\nurl = 'https://api.test.fincode.jp/v1/buyer_platform/tenant_entries'\n\nheaders = {\n    'Authorization': f'Bearer {api_key}',\n    'Content-Type': 'application/json'\n}\n\ndata = {\n    'email': 'new-user@example.com',\n    'password': 'new-user-password',\n    'name': 'New User',\n    'tenant_url_id': '<Tenant Invitation URL ID>'\n}\n\ntry:\n    response = requests.post(url, headers=headers, json=data)\n\n    if response.status_code == 200:\n        print(f\"Success: {response.json()}\")\n    else:\n        print(f\"Error: {response.json()}\")\nexcept requests.RequestException as e:\n    print(f\"Request error: {e}\")\n\n"
          },
          {
            "lang": "ruby",
            "label": "Ruby",
            "source": "require 'net/http'\nrequire 'uri'\nrequire 'json'\n\nAPI_KEY = '<Secret API Key>'\nBASE_URL = 'https://api.test.fincode.jp'\n\ndef main\n    endpoint = '/v1/buyer_platform/tenant_entries'\n\n    uri = URI.parse(BASE_URL + endpoint)\n\n    http = Net::HTTP.new(uri.host, uri.port)\n    http.use_ssl = true\n\n    data = {\n        email: 'new-user@example.com',\n        password: 'new-user-password',\n        name: 'New User',\n        tenant_url_id: '<Tenant Invitation URL ID>'\n    }\n\n    request = Net::HTTP::Post.new(uri.request_uri)\n    request['Authorization'] = \"Bearer #{API_KEY}\"\n    request['Content-Type'] = 'application/json'\n    request.body = data.to_json\n\n    response = http.request(request)\n\n    case response\n    when Net::HTTPSuccess\n        puts 'SUCCESS'\n    else\n        puts 'ERROR'\n    end\n\n    puts response.body\nend\n\nmain\n\n"
          }
        ]
      }
    },
    "/v1/buyer_platform/join_tenants": {
      "post": {
        "security": [
          {
            "Secret-Bearer-Auth": []
          },
          {
            "Secret-Basic-Auth": []
          }
        ],
        "operationId": "createTenantBuyerWithExistingUser",
        "tags": [
          "テナントバイヤー申請管理"
        ],
        "summary": "テナントバイヤー 作成（既存ユーザー参加）",
        "description": "指定したバイヤープラットフォームのユーザーを新規テナントバイヤーのオーナーとして新規テナントバイヤーを作成するAPIです。\\\n\\\n`password`パラメータに関して、ユーザーのパスワードがM's PayBridge管理画面アプリケーション上で更新されることを想定して実装・運用することが推奨されます。\n",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/POST.BuyerPlatformJoinTenants.Request"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "リクエストに成功",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/POST.BuyerPlatformJoinTenants.Response"
                }
              }
            }
          },
          "400": {
            "description": "不正なリクエスト",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/FincodeAPIError.Response"
                }
              }
            }
          }
        },
        "x-code-samples": [
          {
            "lang": "curl",
            "label": "cURL",
            "source": "curl \\\n    -X POST \\\n    -H \"Authorization:Bearer <Secret API Key>\" \\\n    -H \"Content-Type: application/json\" \\\n    -d '{\n    \"email\": \"platform-user@example.com\",\n    \"password\": \"platform-user-password\",\n    \"tenant_buyer_url_id\": \"<Tenant Buyer Invitation URL ID>\"\n}' \\\n'https://api.test.fincode.jp/v1/buyer_platform/join_tenants'\n"
          },
          {
            "lang": "node",
            "label": "Node.js",
            "source": "import { createFincode } from \"@fincode/node\";\n\nconst API_KEY = \"<Secret API Key>\";\n\n(async () => {\n    const fincode = createFincode({ apiKey: API_KEY, isLiveMode: false });\n\n    try {\n        // リクエストの送信\n        const tenantShop = await fincode.tenants.createWithExistingUser({\n            email: \"existing-user@example.com\",\n            password: \"existing-user-password\",\n            tenant_buyer_url_id: \"<Tenant Buyer Invitation URL ID>\",\n        });\n    } catch (e) {\n        // エラーの処理\n    }\n})();\n"
          },
          {
            "lang": "go",
            "label": "Go",
            "source": "package main\n\nimport (\n\t\"bytes\"\n\t\"encoding/json\"\n\t\"fmt\"\n\t\"log\"\n\t\"net/http\"\n)\n\nfunc main() {\n\n\tapiKey := \"<Secret API Key>\"\n\n\tbody := CreatingTenantWithNewUserRequest{\n\t\tEmail:    \"new-user@example.com\",\n\t\tPassword: \"new-user-password\",\n\t\tName:     \"New User\",\n\t}\n\n\tmarshalledBody, _ := json.Marshal(body)\n\n\t// リクエストの作成\n\treq, _ := http.NewRequest(\"POST\", \"https://api.test.fincode.jp/v1/buyer_platform/join_tenants\", bytes.NewBuffer(marshalledBody))\n\treq.Header.Set(\"Authorization\", fmt.Sprintf(\"Bearer %s\", apiKey))\n\treq.Header.Set(\"Content-Type\", \"application/json\")\n\n\t// リクエストの送信\n\tclient := &http.Client{}\n\tres, err := client.Do(req)\n\tif err != nil {\n\t\tlog.Fatal(err)\n\t}\n\tdefer res.Body.Close()\n}\n\ntype CreatingTenantWithNewUserRequest struct {\n\tEmail            string `json:\"email\"`\n\tPassword         string `json:\"password\"`\n\tName             string `json:\"name\"`\n\tTenantBuyerUrlId string `json:\"tenant_buyer_url_id\"`\n}\n"
          },
          {
            "lang": "php",
            "label": "PHP",
            "source": "<?php\n\n$apiKey = '<Secret API Key>';\n\n$baseUrl = \"https://api.test.fincode.jp\";\n$endpoint = \"/v1/buyer_platform/join_tenants\";\n$headers = [\n    \"Authorization: Bearer \" . $apiKey,\n    \"Content-Type: application/json\"\n];\n\n$data = json_encode([\n    \"email\" => \"platform-user@example.com\",\n    \"password\" => \"platform-user-password\",\n    \"tenant_buyer_url_id\" => \"<Tenant Buyer Invitation URL ID>\"\n]);\n\n$session = curl_init();\ncurl_setopt($session, CURLOPT_URL, $baseUrl . $endpoint);\ncurl_setopt($session, CURLOPT_HTTPHEADER, $headers);\ncurl_setopt($session, CURLOPT_POST, true);\ncurl_setopt($session, CURLOPT_POSTFIELDS, $data);\ncurl_setopt($session, CURLOPT_RETURNTRANSFER, true);\n// curl_setopt($session, CURLOPT_SSL_VERIFYPEER, );\n// curl_setopt($session, CURLOPT_SSL_VERIFYHOST, );\n\n$response = curl_exec($session);\n\nif ($response === false) {\n    # エラー処理\n    echo \"cURL Error: \" . curl_error($session);\n} else {\n    # APIからのデータを処理\n    var_dump($response);\n}\n\ncurl_close($session);\n"
          },
          {
            "lang": "python",
            "label": "Python 3",
            "source": "import requests\n\napi_key = '<Secret API Key>'\n\nurl = f'https://api.test.fincode.jp/v1/buyer_platform/join_tenants'\n\n# ヘッダーを設定\nheaders = {\n    'Authorization': f'Bearer {api_key}',\n    'Content-Type': 'application/json'\n}\n\ndata = {\n    \"email\": \"platform-user@example.com\",\n    \"password\": \"platform-user-password\",\n    \"tenant_buyer_url_id\": \"<Tenant Buyer Invitation URL ID>\"\n}\n\n# HTTP POSTリクエストの送信\ntry:\n    response = requests.post(url, headers=headers, json=data)\n\n    # レスポンスの処理\n    if response.status_code == 200:\n        # 成功した場合の処理\n        print(f\"Success: {response.json()}\")\n    else:\n        # エラーの処理\n        print(f\"Error: {response.json()}\")\nexcept requests.RequestException as e:\n    # 通信エラーの処理\n    print(f\"Request error: {e}\")\n"
          },
          {
            "lang": "ruby",
            "label": "Ruby",
            "source": "require 'net/http'\nrequire 'uri'\nrequire 'json'\n\n\nAPI_KEY = '<Secret API Key>'\nBASE_URL = 'https://api.test.fincode.jp'\n\ndef main\n    endpoint = \"/v1/buyer_platform/join_tenants\"\n    uri = URI.parse(BASE_URL + endpoint)\n\n    http = Net::HTTP.new(uri.host, uri.port)\n    http.use_ssl = true\n\n    data = {\n        email: \"platform-user@example.com\",\n        password: \"platform-user-password\",\n        tenant_buyer_url_id: \"<Tenant Buyer Invitation URL ID>\"\n    }\n\n    # リクエストの作成\n    request = Net::HTTP::Post.new(uri.request_uri)\n    request['Authorization'] = \"Bearer #{API_KEY}\"\n    request['Content-Type'] = 'application/json'\n\n    request.body = data.to_json\n\n    # リクエストの送信\n    response = http.request(request)\n\n    case response\n    when Net::HTTPSuccess\n        puts 'SUCCESS'\n    else\n        puts 'ERROR'\n    end\n\n    # レスポンスの表示\n    puts response.body\nend\n\nmain\n"
          }
        ]
      }
    },
    "/v1/buyer/contracts/{id}": {
      "get": {
        "security": [
          {
            "Secret-Bearer-Auth": []
          },
          {
            "Secret-Basic-Auth": []
          }
        ],
        "operationId": "retrieveBuyerContract",
        "tags": [
          "テナントバイヤー申請管理"
        ],
        "summary": "テナントバイヤー契約情報 取得",
        "description": "`id`で指定したテナントバイヤーの契約情報を取得します。\n",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "指定したテナントバイヤーの契約情報を取得します。`Tenant-Buyer-Id`ヘッダーも併せて指定してください。\n",
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/schema"
                }
              ]
            },
            "required": true
          },
          {
            "in": "header",
            "name": "Tenant-Buyer-Id",
            "required": true,
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/schema"
                }
              ]
            },
            "description": "<span class=\"smallText color--red-400\">※ プラットフォームのメインショップのみ指定可</span>\\\nテナントバイヤーID。\\\n指定したテナントバイヤーの契約情報を取得します。\n"
          }
        ],
        "responses": {
          "200": {
            "description": "リクエストに成功",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BuyerContracts.Retrieving.Response"
                }
              }
            }
          },
          "400": {
            "description": "不正なリクエスト",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/FincodeAPIError.Response"
                }
              }
            }
          }
        },
        "x-code-samples": [
          {
            "lang": "curl",
            "label": "cURL",
            "source": "curl \\\n    -X GET \\\n    -H \"Authorization:Bearer <Secret API Key>\" \\\n    -H \"Tenant-Buyer-Id: <Tenant Buyer ID>\" \\\n'https://api.test.fincode.jp/v1/buyer/contracts/{Tenant Buyer ID}'\n"
          },
          {
            "lang": "node",
            "label": "Node.js",
            "source": "const API_KEY = \"<Secret API Key>\";\nconst TENANT_BUYER_ID = \"<Tenant Buyer ID>\";\nconst BUYER_ID = \"<buyer_id>\";\n\n(async () => {\n  try {\n    const response = await fetch(\n      `https://api.test.fincode.jp/v1/buyer/contracts/${BUYER_ID}`,\n      {\n        method: \"GET\",\n        headers: {\n          Authorization: `Bearer ${API_KEY}`,\n          \"Tenant-Buyer-Id\": TENANT_BUYER_ID,\n        },\n      }\n    );\n\n    const data = await response.json();\n    console.log(data);\n  } catch (e) {\n    console.error(e);\n  }\n})();"
          },
          {
            "lang": "go",
            "label": "Go",
            "source": "package main\n\nimport (\n\t\"fmt\"\n\t\"log\"\n\t\"net/http\"\n)\n\nfunc main() {\n\n\tapiKey := \"<Secret API Key>\"\n\n\tbuyerId := \"<Buyer ID>\"\n\ttenantBuyerID := \"<Tenant Buyer ID>\"\n\n\t// リクエストの作成\n\treq, _ := http.NewRequest(\"GET\", fmt.Sprintf(\"https://api.test.fincode.jp/v1/buyer/contracts/%s\", buyerId), nil)\n\treq.Header.Set(\"Authorization\", fmt.Sprintf(\"Bearer %s\", apiKey))\n\treq.Header.Set(\"Tenant-Buyer-Id\", tenantBuyerID)\n\n\t// リクエストの送信\n\tclient := &http.Client{}\n\tres, err := client.Do(req)\n\tif err != nil {\n\t\tlog.Fatal(err)\n\t}\n\tdefer res.Body.Close()\n\n}\n"
          },
          {
            "lang": "php",
            "label": "PHP",
            "source": "<?php\n\n$apiKey = '<Secret API Key>';\n\n$buyerId = '<Buyer ID>';\n$tenantBuyerId = '<Tenant Buyer ID>';\n\n$baseUrl = \"https://api.test.fincode.jp\";\n$endpoint = \"/v1/buyer/contracts/{$buyerId}\";\n$headers = [\n    \"Authorization: Bearer \" . $apiKey,\n    \"Tenant-Buyer-Id: \" . $tenantBuyerId,\n];\n\n$session = curl_init();\ncurl_setopt($session, CURLOPT_URL, $baseUrl . $endpoint);\ncurl_setopt($session, CURLOPT_HTTPHEADER, $headers);\ncurl_setopt($session, CURLOPT_HTTPGET, true);\ncurl_setopt($session, CURLOPT_RETURNTRANSFER, true);\n// curl_setopt($session, CURLOPT_SSL_VERIFYPEER, );\n// curl_setopt($session, CURLOPT_SSL_VERIFYHOST, );\n\n$response = curl_exec($session);\n\nif ($response === false) {\n    # エラー処理\n    echo \"cURL Error: \" . curl_error($session);\n} else {\n    # APIからのデータを処理\n    var_dump($response);\n}\n\ncurl_close($session);\n"
          },
          {
            "lang": "python",
            "label": "Python 3",
            "source": "import requests\n\napi_key = '<Secret API Key>'\n\nbuyer_id = '<Buyer ID>'\ntenant_buyer_id = '<Tenant Buyer ID>'\n\nurl = f'https://api.test.fincode.jp/v1/buyer/contracts/{buyer_id}'\n\n# ヘッダーを設定\nheaders = {\n    'Authorization': f'Bearer {api_key}',\n    'Tenant-Buyer-Id': tenant_buyer_id,\n}\n\ntry:\n    response = requests.get(url, headers=headers)\n\n    # レスポンスの処理\n    if response.status_code == 200:\n        # APIからのデータを処理\n        print(f\"Success: {response.json()}\")\n    else:\n        # エラーの処理\n        print(f\"Error: {response.json()}\")\nexcept requests.RequestException as e:\n    # 通信エラーの処理\n    print(f\"Request error: {e}\")\n"
          },
          {
            "lang": "ruby",
            "label": "Ruby",
            "source": "require 'net/http'\nrequire 'uri'\n\nAPI_KEY = '<Secret API Key>'\nBASE_URL = 'https://api.test.fincode.jp'\n\ndef main\n    buyer_id = '<Buyer ID>'\n    tenant_buyer_id = '<Tenant Buyer ID>'\n    endpoint = \"/v1/buyer/contracts/#{buyer_id}\"\n\n    uri = URI.parse(BASE_URL + endpoint)\n\n    http = Net::HTTP.new(uri.host, uri.port)\n    http.use_ssl = true\n\n    # リクエストの作成\n    request = Net::HTTP::Get.new(uri.request_uri)\n    request['Authorization'] = \"Bearer #{API_KEY}\"\n    request['Tenant-Buyer-Id'] = tenant_buyer_id\n\n    # リクエストの送信\n    response = http.request(request)\n\n    case response\n    when Net::HTTPSuccess\n        puts 'SUCCESS'\n    else\n        puts 'ERROR'\n    end\n\n    # レスポンスの表示\n    puts response.body\nend\n\nmain\n"
          }
        ]
      }
    },
    "/v1/buyer/contracts/examinations": {
      "post": {
        "security": [
          {
            "Secret-Bearer-Auth": []
          },
          {
            "Secret-Basic-Auth": []
          }
        ],
        "operationId": "requestBuyerProductionEnvironment",
        "tags": [
          "テナントバイヤー申請管理"
        ],
        "summary": "テナントバイヤー 本番環境申請",
        "description": "`id`で指定したテナントバイヤーの本番環境の利用申請を行います。このAPIを呼び出すまでにテナントバイヤー本番環境申請情報 更新APIで申請情報を用意しておく必要があります。\n",
        "parameters": [
          {
            "in": "header",
            "name": "Tenant-Buyer-Id",
            "required": true,
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/schema"
                }
              ]
            },
            "description": "<span class=\"smallText color--red-400\">※ プラットフォームのメインショップのみ指定可</span>\\\nテナントバイヤーID。\\\n指定したテナントバイヤーのものとして申請情報を登録します。\n"
          }
        ],
        "requestBody": {
          "content": {
            "multipart/form-data": {
              "schema": {
                "$ref": "#/components/schemas/POST.BuyerContractsExaminations.Request"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "リクエストに成功",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/POST.BuyerContractsExaminations.Response"
                }
              }
            }
          },
          "400": {
            "description": "不正なリクエスト",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/FincodeAPIError.Response"
                }
              }
            }
          }
        },
        "x-code-samples": [
          {
            "lang": "curl",
            "label": "cURL",
            "source": "curl \\\n    -X POST \\\n    -H \"Authorization:Bearer <Secret API Key>\" \\\n    -H \"Content-Type: application/json\" \\\n    -H \"Tenant-Buyer-Id: <Tenant Buyer ID>\" \\\n    -d '{\n    \"buyer_id\": \"<Buyer ID>\",\n    \"force_credit_check_skip\": false\n}' \\\n'https://api.test.fincode.jp/v1/buyer/contracts/examinations'\n"
          },
          {
            "lang": "node",
            "label": "Node.js",
            "source": "const API_KEY = \"<Secret API Key>\";\nconst TENANT_BUYER_ID = \"<Tenant Buyer ID>\";\nconst BUYER_ID = \"<Buyer ID>\";\n\n(async () => {\n  try {\n    const response = await fetch(\n      \"https://api.test.fincode.jp/v1/buyer/contracts/examinations\",\n      {\n        method: \"POST\",\n        headers: {\n          Authorization: `Bearer ${API_KEY}`,\n          \"Tenant-Buyer-Id\": TENANT_BUYER_ID,\n          \"Content-Type\": \"application/json\",\n        },\n        body: JSON.stringify({\n          buyer_id: BUYER_ID,\n          force_credit_check_skip: false,\n        }),\n      }\n    );\n\n    const data = await response.json();\n    console.log(data);\n  } catch (e) {\n    console.error(e);\n  }\n})();"
          },
          {
            "lang": "go",
            "label": "Go",
[...]
